Bug 52522 - Perform some forward declaration
Summary: Perform some forward declaration
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other OS X 10.5
: P2 Normal
Assignee: Tony Gentilcore
URL:
Keywords:
Depends on:
Blocks: 52451
  Show dependency treegraph
 
Reported: 2011-01-15 16:38 PST by Tony Gentilcore
Modified: 2011-01-19 16:25 PST (History)
8 users (show)

See Also:


Attachments
Patch (21.38 KB, patch)
2011-01-15 16:40 PST, Tony Gentilcore
no flags Details | Formatted Diff | Diff
Patch (25.42 KB, patch)
2011-01-15 18:41 PST, Tony Gentilcore
no flags Details | Formatted Diff | Diff
Patch (26.44 KB, patch)
2011-01-15 19:52 PST, Tony Gentilcore
no flags Details | Formatted Diff | Diff
Patch (26.99 KB, patch)
2011-01-16 11:11 PST, Tony Gentilcore
no flags Details | Formatted Diff | Diff
Patch (27.09 KB, patch)
2011-01-19 12:41 PST, Tony Gentilcore
no flags Details | Formatted Diff | Diff
Patch (27.40 KB, patch)
2011-01-19 13:07 PST, Tony Gentilcore
no flags Details | Formatted Diff | Diff
Patch (27.89 KB, patch)
2011-01-19 13:33 PST, Tony Gentilcore
no flags Details | Formatted Diff | Diff
Patch (28.39 KB, patch)
2011-01-19 14:13 PST, Tony Gentilcore
darin: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tony Gentilcore 2011-01-15 16:38:22 PST
Perform some forward declaration
Comment 1 Tony Gentilcore 2011-01-15 16:40:15 PST
Created attachment 79081 [details]
Patch
Comment 2 WebKit Review Bot 2011-01-15 16:55:04 PST
Attachment 79081 [details] did not build on chromium:
Build output: http://queues.webkit.org/results/7508087
Comment 3 Early Warning System Bot 2011-01-15 17:06:30 PST
Attachment 79081 [details] did not build on qt:
Build output: http://queues.webkit.org/results/7525104
Comment 4 Build Bot 2011-01-15 17:10:31 PST
Attachment 79081 [details] did not build on win:
Build output: http://queues.webkit.org/results/7552089
Comment 5 WebKit Review Bot 2011-01-15 18:10:01 PST
Attachment 79081 [details] did not build on chromium:
Build output: http://queues.webkit.org/results/7509104
Comment 6 Tony Gentilcore 2011-01-15 18:41:04 PST
Created attachment 79083 [details]
Patch
Comment 7 WebKit Review Bot 2011-01-15 18:55:22 PST
Attachment 79083 [details] did not build on chromium:
Build output: http://queues.webkit.org/results/7515102
Comment 8 Build Bot 2011-01-15 19:11:15 PST
Attachment 79083 [details] did not build on win:
Build output: http://queues.webkit.org/results/7509108
Comment 9 Tony Gentilcore 2011-01-15 19:52:05 PST
Created attachment 79087 [details]
Patch
Comment 10 WebKit Review Bot 2011-01-15 20:10:27 PST
Attachment 79083 [details] did not build on chromium:
Build output: http://queues.webkit.org/results/7527100
Comment 11 WebKit Review Bot 2011-01-15 21:21:04 PST
Attachment 79087 [details] did not build on chromium:
Build output: http://queues.webkit.org/results/7502111
Comment 12 Tony Gentilcore 2011-01-16 11:11:45 PST
Created attachment 79104 [details]
Patch
Comment 13 Mihai Parparita 2011-01-17 11:31:50 PST
Comment on attachment 79104 [details]
Patch

Might be worth-while to wait for the GTK EWS bot to process this patch before landing.
Comment 14 WebKit Review Bot 2011-01-17 17:27:07 PST
Attachment 79104 [details] did not build on gtk:
Build output: http://queues.webkit.org/results/7515173
Comment 15 Tony Gentilcore 2011-01-19 12:41:50 PST
Created attachment 79469 [details]
Patch
Comment 16 Tony Gentilcore 2011-01-19 13:07:53 PST
Created attachment 79471 [details]
Patch
Comment 17 Tony Gentilcore 2011-01-19 13:33:25 PST
Created attachment 79473 [details]
Patch
Comment 18 WebKit Review Bot 2011-01-19 14:10:27 PST
Attachment 79473 [details] did not build on gtk:
Build output: http://queues.webkit.org/results/7616203
Comment 19 Tony Gentilcore 2011-01-19 14:13:03 PST
Created attachment 79480 [details]
Patch
Comment 20 Darin Adler 2011-01-19 14:14:49 PST
Comment on attachment 79480 [details]
Patch

Looks good. I love changes like these. As long as it doesn’t break the build!
Comment 21 Tony Gentilcore 2011-01-19 14:48:59 PST
(In reply to comment #20)
> (From update of attachment 79480 [details])
> Looks good. I love changes like these. As long as it doesn’t break the build!

The EWS bots are proving indispensable in finding the transitive deps. Unfortunately there's a lot of noise in patch building, but at least I can get it working on mac, then use EWS to get it working elsewhere. Don't worry, I won't land until it passes all.

BTW, there's some discussion in bug 52451 about how worthwhile these changes are. They seem to make a difference when I build locally, but the trend doesn't show through to the buildbot. Do you have any thoughts on how worthwhile of an effort this is?
Comment 22 Tony Gentilcore 2011-01-19 15:13:39 PST
Committed r76170: <http://trac.webkit.org/changeset/76170>
Comment 23 WebKit Review Bot 2011-01-19 16:25:27 PST
http://trac.webkit.org/changeset/76170 might have broken Chromium Win Release